Bug 615751 - Problems with Performous app
Problems with Performous app
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: compiz (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Adel Gadllah
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-18 09:09 EDT by Peque
Modified: 2011-06-29 09:20 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-29 09:20:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peque 2010-07-18 09:09:45 EDT
Description of problem:
This app wont display correctly unless you have Compiz not running. (note Performous uses OpenGL to display its SVG graphics).


How reproducible:
Download and install Performous (less than 10MB):
1. Install dependencies: su -c 'yum install git cmake gcc-c++ gettext gtk2-devel cairo-devel librsvg2-devel libsigc++20-devel glibmm24-devel libxml++-devel ImageMagick-c++-devel boost-devel SDL-devel glew-devel ffmpeg-devel pulseaudio-libs-devel portaudio-devel help2man redhat-lsb opencv-devel'
2. Download and install Performous:
git clone git://git.performous.org/gitroot/performous/performous
cd performous
mkdir build
cd build
cmake ../
make
su -c 'make install'


Steps to Reproduce:
1. Run Performous
2. Change from non-fullscreen to fullscreen mode (configuration menu)
3. The graphics wont display! (and in that fullscreen mode you'll loose keyboard control; you'll have to kill the process using a console with Ctrl+Alt+F2 i.e.)


Additional info:
This problem wont occur if Compiz is not running.
Comment 1 Bug Zapper 2011-06-01 09:32:58 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2011-06-29 09:20:14 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.